package com.ssj.service.conch.schoolmaster.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

public class EstimateOrderRequest extends BaseRequest {
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "studentId", value = "学生id", required = true)
    private String studentId;
    
    @ApiModelProperty(name = "orderType", value = "订单类型0：1对1课程订单 1：同伴作业吧督导", required = true)
    private int orderType;
    
    @ApiModelProperty(name = "courseCount", value = "课次", required = true)
    private int courseCount;
    
    @ApiModelProperty(name = "teacherType", value = "课程类型, 1注册，2明星，3学霸", required = true)
	private int teacherType;

	public String getStudentId() {
		return studentId;
	}

	public void setStudentId(String studentId) {
		this.studentId = studentId;
	}

	public int getOrderType() {
		return orderType;
	}

	public void setOrderType(int orderType) {
		this.orderType = orderType;
	}

	public int getCourseCount() {
		return courseCount;
	}

	public void setCourseCount(int courseCount) {
		this.courseCount = courseCount;
	}

	public int getTeacherType() {
		return teacherType;
	}

	public void setTeacherType(int teacherType) {
		this.teacherType = teacherType;
	}
}
